curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/tableExports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/tableExports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/tableExports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tableExport": [
{
"table": "<string>",
"date": "2026-05-26",
"size": 123,
"created": "2026-05-27 03:14:15",
"createdMs": 1752738240000,
"files": [
{
"filename": "pro-123/ob_tracking_event/2026-05-26-00000.parquet",
"size": 123,
"checksum": "<string>",
"created": "2026-05-27 03:14:15",
"createdMs": 1752738240000
}
]
}
]
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}List observe table export files
Lists the daily table export files available for download for the authenticated project.
With no query parameters, all available exports are returned. Use the optional
filters to narrow the result to specific export dates or a specific table.
date, from/to, and lastDays select export dates and are mutually exclusive.
Dates are interpreted in the project’s configured timezone.
Required API key permission: observe:tableExports:read.
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Query Parameters
Return exports for this export date (YYYY-MM-DD). Cannot be combined with from/to or lastDays.
Start export date of an inclusive date range (YYYY-MM-DD). Must be combined with to. Cannot be combined with date or lastDays.
End export date of an inclusive date range (YYYY-MM-DD). Must be combined with from. Cannot be combined with date or lastDays.
Return exports for the most recent days, ending with yesterday (the current day is not included). Cannot be combined with date or from/to. Maximum 92.
Return exports for this table only. Defaults to all exported tables.
Response
Observe table export files available for download.
Show child attributes
Show child attributes
Was this page helpful?